import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'platformType',
  standalone: true
})
export class PlatformTypePipe implements PipeTransform {

  transform(type: number): string {
    switch (type) {
      case 1:
        return '拉卡拉';
      case 2:
        return '国通';
      case 3:
        return '建行';
      case 4:
        return '微信';
      default:
        return '未知';
    }
  }

}
